set default=0

loadfont $prefix/unicode.pf2
set gfxmode=auto
insmod all_video
insmod gfxterm
insmod png

set theme=/boot/grub/live-theme/theme.txt

set menu_color_normal=cyan/blue
set menu_color_highlight=white/blue

terminal_output gfxterm

insmod play
play 960 440 1 0 4 440 1

# Live boot
menuentry "nakeDeb live [fr]" {
    linux   /live/vmlinuz boot=live components splash username=human hostname=nakedeb locales=fr_FR.UTF-8 keyboard-layouts=fr timezone=Europe/Paris
    initrd  /live/initrd.img
}
menuentry "nakeDeb live [en]" {
    linux   /live/vmlinuz boot=live components splash username=human hostname=nakedeb locales=en_US.UTF-8 keyboard-layouts=us
    initrd  /live/initrd.img
}
menuentry "nakeDeb live [fr] (failsafe)" {
    linux   /live/vmlinuz boot=live components memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash username=human hostname=nakedeb locales=fr_FR.UTF-8 keyboard-layouts=fr timezone=Europe/Paris vga=normal
    initrd  /live/initrd.img
}
menuentry "nakeDeb live [en] (failsafe)" {
    linux   /live/vmlinuz boot=live components memtest noapic noapm nodma nomce nolapic nomodeset nosmp nosplash username=human hostname=nakedeb locales=en_US.UTF-8 keyboard-layouts=us vga=normal
    initrd  /live/initrd.img
}

# classical install
menuentry "installation UEFI [fr]" {
    linux   /install/vmlinuz vga=788 language=fr file=/cdrom/install/nakedeb.cfg
    initrd  /install/initrd.gz
}
menuentry "installation UEFI [en]" {
    linux   /install/vmlinuz vga=788 language=en file=/cdrom/install/nakedeb.cfg
    initrd  /install/initrd.gz
}

# rescue mode
menuentry "rescue mode [fr/en]" {
    linux   /install/vmlinuz rescue/enable=true vga=788
    initrd  /install/initrd.gz
}
